### [English](#spreadjs) &nbsp;&nbsp;&nbsp;[中文](#spreadjs-cn)  &nbsp;&nbsp;&nbsp;[日本語](#spreadjs-jp) 
# SpreadJS
[A Complete JavaScript Spreadsheet](https://www.grapecity.com/spreadjs?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Main-Listing) for Enterprise Apps.

GrapeCity SpreadJS is the most complete enterprise JavaScript spreadsheet solution for delivering Microsoft® [Excel-like spreadsheet](https://www.grapecity.com/spreadjs/javascript-excel-features?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Main-Listing) experiences, fast. SpreadJS also provides full support for [React](https://www.grapecity.com/spreadjs/react-spreadsheet-components?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Main-Listing), [Vue](https://www.grapecity.com/spreadjs/vue-spreadsheet-components?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Main-Listing), [Angular](https://www.grapecity.com/spreadjs/angular-spreadsheet-components?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Main-Listing), and TypeScript.
 
This enterprise-grade JavaScript spreadsheet supports many popular features such as a [powerful formula engine (450+ functions)](https://www.grapecity.com/spreadjs/javascript-excel-calculations?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Main-Listing), [PivotTables](https://www.grapecity.com/spreadjs/javascript-excel-spreadsheet-pivot-table?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Main-Listing), [charting](https://www.grapecity.com/spreadjs/javascript-chart-components?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Main-Listing), slicers, [sparklines](https://www.grapecity.com/spreadjs/javascript-sparkline-charts?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Main-Listing), conditional formatting, tables, international localization, printing, sorting, filtering, drag-fill, grouping, undo/redo, data validation, [input controls](https://www.grapecity.com/spreadjs/javascript-spreadsheet-cell-types?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Main-Listing), native Excel input and output, and much more.


![SpreadJS](https://grapecitycontentcdn.azureedge.net/external/spread/npm/SJS-npmjs-Global-5-01.png)
## Samples

To quickly jump in, check out our [Demo Gallery](https://www.grapecity.com/spreadjs/demos/).
You can also view a complete implementation of the on-line [Web Designer](https://www.grapecity.com/spreadjs/designer/) and [Mobile Spreadsheet Application](https://www.grapecity.com/spreadjs/spreadsheet/)

Download the [SpreadJS Free Trial](https://www.grapecity.com/spreadjs/download).

## Installation
```sh
npm install @grapecity/spread-sheets
```

## Documentation
Online documentation is available here:
- [Developer's Guide](https://www.grapecity.com/spreadjs/docs/overview)
- [API Reference](https://www.grapecity.com/spreadjs/api)
- [Product ReadMe](https://www.grapecity.com/spreadjs/docs/rnotes)

## Getting more help
Visit the SpreadJS home page to view comprehensive demos, additional features, licensing and pricing:
[https://www.grapecity.com/spreadjs](https://www.grapecity.com/spreadjs)

You can ask any question about SpreadJS using the [SpreadJS Forum](https://www.grapecity.com/forums/spreadjs).


# SpreadJS CN

针对企业级应用的[纯 JavaScript 电子表格](https://www.grapecity.com.cn/developer/spreadjs) 控件.

使用葡萄城的SpreadJS产品可以让您在您的JavaScript应用中像Microsoft Excel一样使用电子表格的强大功能去展示和管理数据。

这个企业级JavaScript电子表格产品支持很多流行的特性，例如：强大的公式引擎（支持超过450个公式），图表，切片器，迷你图，条件格式，表格，打印，排序，筛选，拖拽填充，分组，撤销/重做，数据校验，输入控制，Excel原生格式的导入和导出，以及更多丰富的功能和特性。

## 示例

想要快速掌握控件使用，请点击： [学习指南](https://demo.grapecity.com.cn/spreadjs/SpreadJSTutorial/)。
您也可以浏览我们完整的在线示例 [完整的电子表格应用](https://demo.grapecity.com.cn/SpreadJS/WebDesigner/content/index.html) 以及 [移动端电子表格应用](https://demo.grapecity.com.cn/spreadjs/mobilesample/)。

下载 [免费试用SpreadJS](https://www.grapecity.com.cn/developer/spreadjs/download)。

## 安装
```sh
npm install @grapecity/spread-sheets
```

## 文档
在线文档:
- [开发者指南](https://demo.grapecity.com.cn/spreadjs/help/docs/)
- [API 文档](https://demo.grapecity.com.cn/spreadjs/help/api/)

## 获取更多帮助
想需要获取更多产品信息，请浏览 SpreadJS 主页:
[https://www.grapecity.com.cn/developer/spreadjs](https://www.grapecity.com.cn/developer/spreadjs)

您可以在论坛中提出任何您使用产品过程中遇到的问题： [SpreadJS 论坛](https://gcdn.grapecity.com.cn/forum.php?mod=forumdisplay&fid=232)。


# SpreadJS JP
[SpreadJS](https://developer.mescius.jp/spreadjs)は、WebアプリケーションでExcelライクなUIを実現するために開発されたJavaScriptコントロールです。チャート、表計算関数、フィルタリング、条件付き書式など、豊富なExcel互換機能を搭載したスプレッドシートをブラウザ上に描画し、エンドユーザーになじみのあるUIと操作性を提供します。

## サンプル
[各オンラインデモ](https://developer.mescius.jp/spreadjs#demo)では、SpreadJSの基本機能や使い方をご紹介しています。

また、[トライアル版](https://developer.mescius.jp/download#javascript)をダウンロードして、実際の機能や動作をご確認いただけます。

## インストール方法
```sh
npm install @grapecity/spread-sheets
```
日本語版での動作保証は日本語版サイトで公開しているバージョンのみとなります。また、日本語版を使用する場合は、日本語版のソフトウェア使用許諾契約書が適用されます。日本語版のソフトウェア使用許諾契約書は以下をご覧ください。
- [ソフトウェア使用許諾契約書](https://docs.mescius.jp/license/spread/spread-js-developmentlicense.pdf)
- [配布ライセンス使用許諾契約書](https://docs.mescius.jp/license/spread/spread-js-distributionlicense.pdf)

## ドキュメント
製品の各種ドキュメントは、下記をご参照ください。
- [製品ヘルプ](https://demo.mescius.jp/spreadjs/docs/overview)
- [チュートリアルデモ](https://demo.mescius.jp/spreadjs/demos/)

## 製品情報
製品の詳細や価格、ライセンスについては、下記をご参照ください。  
[https://developer.mescius.jp/spreadjs](https://developer.mescius.jp/spreadjs)

## サポート
ヘルプやデモに加え、ナレッジベースでは製品の技術情報を公開しております。また、サブスクリプションをご契約中のお客様は、E-mailによる技術サポートをご利用いただけます。
- [サポート＆サービス](https://developer.mescius.jp/support)
- [サブスクリプションサービス利用規約](https://docs.mescius.jp/license/spread/spread-js-subscriptionservice.pdf)
